<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__peer__id__addr__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_peer_id_addr_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__peer__id__addr__t_1acf8f6df4aa43dcdf4bc6726f490acaaa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_peer_id_addr_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>public = 0, Random = 1 </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="632" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="632" />
      </memberdef>
      <memberdef id="structcy__stc__ble__peer__id__addr__t_1a0290d5eb06e34dc50786885fb1fb5921" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_peer_id_addr_t::bdAddr[CY_BLE_BD_ADDR_SIZE]</definition>
        <argsstring>[CY_BLE_BD_ADDR_SIZE]</argsstring>
        <name>bdAddr</name>
        <briefdescription>
<para>Bluetooth device address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="635" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="635" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Random number generated from the BLE Stack. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="637" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="629" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="630" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__peer__id__addr__t_1a0290d5eb06e34dc50786885fb1fb5921" virt="non-virtual"><scope>cy_stc_ble_peer_id_addr_t</scope><name>bdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__peer__id__addr__t_1acf8f6df4aa43dcdf4bc6726f490acaaa" virt="non-virtual"><scope>cy_stc_ble_peer_id_addr_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>